cURL
curl -X POST "https://api.fitsociety.io/public/v1/workout/library/category" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [
{lang: 'en', value: 'Strength Programs'},
{lang: 'nl', value: 'Krachtprogramma\'s'}
]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/library/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/library/category"
payload = { "name": [
{
"lang": "en",
"value": "Strength Programs"
},
{
"lang": "nl",
"value": "Krachtprogramma's"
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"categoryId": "67f1234567890abcdef1234",
"name": [
{
"lang": "en",
"value": "Strength Programs"
},
{
"lang": "nl",
"value": "Krachtprogramma's"
}
],
"order": 0,
"templateCount": 0
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Template categories
Create a workout library category
Creates a new category for the active company. name is a localized array — at least one entry with a non-empty lang and value is required. Duplicate detection is case-insensitive and checks all provided language values against existing category names.
Requires the workout_library:write scope and the corresponding Workout features and permissions.
POST
/
public
/
v1
/
workout
/
library
/
category
cURL
curl -X POST "https://api.fitsociety.io/public/v1/workout/library/category" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [
{lang: 'en', value: 'Strength Programs'},
{lang: 'nl', value: 'Krachtprogramma\'s'}
]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/library/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/library/category"
payload = { "name": [
{
"lang": "en",
"value": "Strength Programs"
},
{
"lang": "nl",
"value": "Krachtprogramma's"
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"categoryId": "67f1234567890abcdef1234",
"name": [
{
"lang": "en",
"value": "Strength Programs"
},
{
"lang": "nl",
"value": "Krachtprogramma's"
}
],
"order": 0,
"templateCount": 0
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Body
application/json